Bug 10946 - Interface Status not readily visible
Summary: Interface Status not readily visible
Status: CLOSED CANTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rp3
Version: 6.1
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-04-20 15:43 UTC by Peter Greenwood
Modified: 2008-05-01 15:37 UTC (History)
0 users

(edit)
Clone Of:
(edit)
Last Closed: 2006-10-18 17:25:47 UTC


Attachments (Terms of Use)

Description Peter Greenwood 2000-04-20 15:43:42 UTC
It is not always easy to see the status of the interface - if the window is
covered up, or iconised, for example.
The following lines in appapplet.c add "Up: IFNAME" or "Down: IFNAME" to
the title bar of the window:

/* set the proper current tooltip state for a netmon widget */
void
appapplet_set_netmon_tooltip(GtkWidget *netmon, interface *i) {
char updownmsg[200];

/* SGP - modified to indicate status in title
 * This makes it easy to check when minimised/covered
*/
    if (!netmon) return;

    if (i->manipulable) {
        if (i->status == INTERFACE_UP)
          {
            sprintf(updownmsg, "Up: %s", i->friendlyName);
            gtk_window_set_title(GTK_WINDOW(the_toplevel), updownmsg);
            appapplet_set_widget_tooltip(netmon,
                _("Click to disconnect from %s"), i->friendlyName);
          }
        else
          {
            sprintf(updownmsg, "Down: %s", i->friendlyName);
            gtk_window_set_title(GTK_WINDOW(the_toplevel), updownmsg);
            appapplet_set_widget_tooltip(netmon,
                _("Click to connect to %s"), i->friendlyName);
          }
    } else {
        appapplet_set_widget_tooltip(netmon, NULL);
    }
}

Just my $0.02 for the world!

Comment 1 randolph 2000-07-08 19:58:52 UTC
Even if the window is visible, I often don't know if the connection is up or
down--I am constantly looking at the modem to check.  Perhaps the graph could be
greyed out?  Anything!

Comment 2 Bill Nottingham 2006-08-07 20:03:37 UTC
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.


Comment 3 Bill Nottingham 2006-10-18 17:25:47 UTC
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.


Note You need to log in before you can comment on or make changes to this bug.